Returns the analytics engagement data for the specified environment.
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/analytics/engagement \
--header 'Authorization: Bearer <token>'{
"activeWeeklyDays": [
{
"nDays": 123,
"nUserWeeks": 123,
"pctUserWeeks": 123
}
],
"retention": {
"allUsers": [
{
"cohortWeek": "2023-12-25",
"returningWeek": "2023-12-25",
"retentionPct": 123
}
],
"newUsers": [
{
"cohortWeek": "2023-12-25",
"returningWeek": "2023-12-25",
"retentionPct": 123
}
]
},
"sessionsHeatmap": [
{
"hourBucket": 11,
"weekday": 3,
"nSessionsVisits": 123
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Start date in ISO format (YYYY-MM-DD)
End date in ISO format (YYYY-MM-DD)
Analytics engagement data
Distribution of how many days per week users are active
Show child attributes
Weekly cohort retention data for all users and new users
Show child attributes
Session activity heatmap grouped by hour of day and day of week
Show child attributes
Was this page helpful?
curl --request GET \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/analytics/engagement \
--header 'Authorization: Bearer <token>'{
"activeWeeklyDays": [
{
"nDays": 123,
"nUserWeeks": 123,
"pctUserWeeks": 123
}
],
"retention": {
"allUsers": [
{
"cohortWeek": "2023-12-25",
"returningWeek": "2023-12-25",
"retentionPct": 123
}
],
"newUsers": [
{
"cohortWeek": "2023-12-25",
"returningWeek": "2023-12-25",
"retentionPct": 123
}
]
},
"sessionsHeatmap": [
{
"hourBucket": 11,
"weekday": 3,
"nSessionsVisits": 123
}
]
}